package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.Supplier;
import cn.wise.sc.cement.business.entity.SupplierEnclosure;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.SupplierQuery;
import cn.wise.sc.cement.business.model.query.SupplierEnclosureQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-01
 */
public interface ISupplierService extends IService<Supplier> {

	BaseResponse<IPage<Supplier>> getPage(PageQuery pageQuery, String name);

	BaseResponse<Supplier> create(SupplierQuery query);

	BaseResponse<Supplier> update(SupplierQuery query);

	BaseResponse<String> upload(SupplierEnclosureQuery query);

	BaseResponse<IPage<SupplierEnclosure>> getEnclosurePage(PageQuery pageQuery, Integer supplierId);

	BaseResponse<String> deleteEnclosure(Integer id);

}
